// 包装追溯－API

import request from '@/utils/request'

// 查询包装表格数据
export function listPacking(query) {
  return request({
    url: '/nltorderlinelogic/queryDetailPackage',
    method: 'get',
    params: query
  })
}

// 导出包装表格数据
export function exportPacking(query) {
  return request({
    url: '/nltorderlinelogic/exportDetailPackage',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 查询主机追溯详情
export function queryDetailDevice(query) {
  return request({
    url: 'nltorderlinelogic/queryRecordByLineCode',
    method: 'get',
    params: query
  })
}
