// 同步数据api

import request from '@/utils/request'

export function getSync(query) {
  return request({
    url: '/nltscheduledresult/queryNltScheduledResultByPagination',
    method: 'get',
    params: query
  })
}
export function onSchedule(params) {
  return request({
    url: '/nltscheduledresult/onSchedule',
    method: 'get',
    params
  })
}
// 删除同步数据（逻辑删除）
export function delSchedule(businessId) {
  return request({
    url: '/nltscheduledresult/delete/' + businessId,
    method: 'delete'
  })
}
