// 测试结果－API

import request from '@/utils/request'

// 查询测试导出列表
export function listTestExport(query) {
  return request({
    url: '/nlttest/selectTestByType',
    method: 'get',
    params: query
  })
}

// 测试结果导出页面导出功能
export function exportTestExport(query) {
  return request({
    url: '/nlttest/exportByType',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 查询所有设备
export function queryAllDevice(query) {
  return request({
    url: '/nltdevice/queryNltDevices',
    method: 'get',
    params: query
  })
}

// 测试结果导出页面详情页
export function listDetailTestExport(query) {
  return request({
    url: '/NltTestInfo/queryTestHotDetail',
    method: 'get',
    params: query
  })
}
