// 装配追溯－API

import request from '@/utils/request'

// 查询装配表格上的数据
export function formAssembling(query) {
  return request({
    url: '/nltscan/queryTraceabilityDetail',
    method: 'get',
    params: query
  })
}

// 装配线别号信息导出
export function exportLineNo(query) {
  return request({
    url: '/nltorderlinelogic/exportByLine',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 查询Scan SN
export function getSnsVague(params) {
  return request({
    url: '/datamonitor/getSnsVague',
    method: 'get',
    params
  })
}

// 查询装配追溯详情
export function queryDeviceAss(query) {
  return request({
    url: '/nltorderlinelogic/queryByLine',
    method: 'get',
    params: query
  })
}

// 测试结果信息
export function queryTestInfo(query) {
  return request({
    url: '/NltTestInfo/queryNltTestInfoDetail',
    method: 'get',
    params: query
  })
}

// 批次详细信息
export function queryBatch(query) {
  return request({
    url: '/nltorderlinelogic/queryRecordByPackage',
    method: 'get',
    params: query
  })
}

