// 不良定义api
import request from '@/utils/request'
import Qs from 'qs'
// 新增
export function nltmodelAdd(data) {
  return request({
    url: '/nltmodel/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json'
    }
  })
}
// 编辑
export function nltmodelUpdate(data) {
  return request({
    url: '/nltmodel/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json'
    }
  })
}
// 查看详情
export function nltmodelDetail(data) {
  return request({
    url: '/nltmodel/detail/' + data.businessId,
    method: 'get'
  })
}

// 工单查看详情
export function nltordermodelDetail(data) {
  return request({
    url: '/nltordermodel/detail/' + data.businessId,
    method: 'get'
  })
}

// 工单编辑
// 编辑
export function nltordermodelUpdate(data) {
  return request({
    url: '/nltordermodel/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json'
    }
  })
}
