import request from '@/utils/request'
// 查询角色列表
export function getTableData(params) {
  return request({
    url: '/datamonitor/monitor',
    method: 'get',
    params
  })
}

// 查询Scan SN
export function getSnsVague(params) {
  return request({
    url: '/datamonitor/getSnsVague',
    method: 'get',
    params
  })
}

// 查询关联 SN
export function getSnsDetail(params) {
  return request({
    url: '/datamonitor/getSnsDetail',
    method: 'get',
    params
  })
}

// 首页导出按钮
export function homePageExport(query) {
  return request({
    url: '/datamonitor/exportSn',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
